SND_DMA_PROGRAM(9)

NAME
snd_dma_program - program an ISA DMA transfer

SYNOPSIS

void snd_dma_program(unsigned long dma, unsigned long addr, unsigned int size, unsigned short mode);

ARGUMENTS

dma
    the dma number

addr
    the physical address of the buffer

size
    the DMA transfer size

mode
    the DMA transfer mode, DMA_MODE_XXX

DESCRIPTION

Programs an ISA DMA transfer for the given buffer.

COPYRIGHT